Bug 1017536 - Duplication warning messages when creating scalable app with empty git repo
Duplication warning messages when creating scalable app with empty git repo
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jakub Hadvig
libra bugs
:
Depends On:
Blocks: 1054697
  Show dependency treegraph
 
Reported: 2013-10-10 02:44 EDT by Meng Bo
Modified: 2015-05-14 20:34 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1054697 (view as bug list)
Environment:
Last Closed: 2014-01-29 19:48:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Meng Bo 2013-10-10 02:44:28 EDT
Description of problem:
Create scalable app with empty git repo will return the following warning message twice.

"An empty Git repository has been created for your application.  Use 'git push' to add your code."

Version-Release number of selected component (if applicable):
devenv-stage_491

How reproducible:
always

Steps to Reproduce:
1.Create scalable app with empty git repo
# rhc create-app foo php-5 -s --from-code="empty"


Actual results:
The warning message will show twice.
# rhc create-app foo php-5.3 -s --from-code="empty"

Application Options
-------------------
  Domain:      bmengdev
  Cartridges:  php-5.3
  Source Code: empty
  Gear Size:   default
  Scaling:     yes

Creating application 'foo' ... 
An empty Git repository has been created for your application.  Use 'git push' to add your code.An empty Git repository has been created for your application.  Use 'git push' to add your code.
done


Expected results:
Should not show the duplicate messages.

Additional info:
There is no such issue for non-scalable app.
Comment 1 Jakub Hadvig 2013-11-04 11:54:02 EST
Fixed the bug by moving the massage after the app creation.
Had to modify rhc and also origin-server.

part 1 - https://github.com/openshift/origin-server/pull/4077
part 2 - https://github.com/openshift/rhc/pull/499
Comment 2 Chris Ryan 2013-12-09 10:22:45 EST
I'm experiencing this behavior on the latest devenv_4111 (ami-aba18cc2):

rhc app create app1 php-5.3 --from-code empty -s -l cryan@redhat.com -p 'redhat' --insecure --server ec2-54-224-225-5.compute-1.amazonaws.com
      Application Options
      -------------------
        Domain:      w11dic
        Cartridges:  php-5.3
        Source Code: empty
        Gear Size:   default
        Scaling:     yes
      
      Creating application 'app1' ... An empty Git repository has been created for your application.  Use 'git push' to add your code.An empty Git repository has been created for your application.  Use 'git push' to add your code.
Comment 3 openshift-github-bot 2013-12-10 09:21:31 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/fe05c3bdd3f968d965311b56c29e6520df51cb4a
Bug 1017536 - Duplication warning messages when creating scalable app with empty git repo
Comment 5 Liang Xia 2013-12-11 02:16:58 EST
Verified on devenv_4120.

# rhc create-app foo php-5 -s --from-code="empty" --no-git --no-dns
Using php-5.3 (PHP 5.3) for 'php-5'

Application Options
-------------------
Domain:      lxia
Cartridges:  php-5.3
Source Code: empty
Gear Size:   default
Scaling:     yes

Creating application 'foo' ... An empty Git repository has been created for your application.  Use 'git push' to add your code.
done


Your application 'foo' is now available.

  URL:        http://foo-lxia.dev.rhcloud.com/
  SSH to:     52a81000351e49cff10001a1@foo-lxia.dev.rhcloud.com
  Git remote: ssh://52a81000351e49cff10001a1@foo-lxia.dev.rhcloud.com/~/git/foo.git/

Run 'rhc show-app foo' for more details about your app.

Note You need to log in before you can comment on or make changes to this bug.